Subject: Re: bug#41373: GNU ELPA: Add "reporting bugs" to individual package pages

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 01 Jun 2020 13:06:55 -0700

On 06/01/20 22:38 PM, Eli Zaretskii wrote:
>> From: Eric Abrahamsen <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Mon, 01 Jun 2020 12:25:11 -0700
>> 
>> > I'm not sure I understand the need to produce a potentially huge list
>> > of completion candidates, when it isn't even clear that the bug is
>> > about some add-on package.  Can we be smarter about this?
>> 
>> Right, this is the part of the suggestion with the biggest question
>> marks. I can imagine the prompt would get annoying for frequent
>> contributors who are mostly filing bugs against emacs itself.
>> 
>> The only thing I can think of is providing a separate command,
>> `report-emacs-package-bug', that is a thin wrapper around
>> `report-emacs-bug'. That could live in package.el.
>
> I thought about making some conclusions from the text of the report,
> which may contain function names.  Of course, this is only possible
> after the report is written and is about to be sent.

Huh, so just before sending build a regexp like:

(mapconcat
 (lambda (p)
   (format "\\_<%s-" (symbol-name (car p))))
 package-alist "\\|")

run it over the subject and body, and then either automatically add the
package header, or stop and prompt the user?

Feels a bit guess-worky to me, but it would certainly be possible!